Mailrelay API Reference

Get an API batch by id

GET https://{account}/api/v1/api_batches/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get an API batch by id

Parameters

NameTypeRequiredDescription
include_operations boolean No Include operations in the results
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer Id
callback_url string A URL that will be called when the api batch is processed. A POST request will be sent to this URL with a JSON payload containing the ID of the API batch.
status string Status
finished_at string Finished at
operations array Operations